Package org.opensaml.storage.impl.client

# Interface ClientStorageServiceStore.Factory

All Known Implementing Classes:
  `JSONClientStorageServiceStore.JSONClientStorageServiceStoreFactory`, `XMLClientStorageServiceStore.XMLClientStorageServiceStoreFactory`

Enclosing interface:
  ClientStorageServiceStore

public static interface ClientStorageServiceStore.Factory
A factory for producing new `ClientStorageServiceStore` instances.

## Method Summary

Modifier and Type
Method
Description
`ClientStorageServiceStore`
`load(String raw, ClientStorageService.ClientStorageSource src)`
Load raw data into a new `ClientStorageServiceStore` instance.

## Method Details

### load

@Nonnull ClientStorageServiceStore load(@Nullable @NotEmpty String raw, @Nonnull ClientStorageService.ClientStorageSource src)
Load raw data into a new `ClientStorageServiceStore` instance.

Parameters:
  `raw` - data to load
  `src` - data source
Returns:
  new store instance